Topics Map > Parkland IT Standards

Parkland College - Recommended Web Browser Standards

The Parkland College standard supported browsers include the following releases of Internet Explorer, Firefox, and Safari. The minimum supported versions of these browsers include:

 

- Internet Explorer 11


Mozilla FireFox 31


- Safari 7.0


This standard means that all applications supported by Parkland, must support all these browsers. Exceptions to this standard need to be reviewed and approved by the Technology Infrastructure Committee. Future purchases of applications that do not meet this standard will require an approval by the Technology Infrastructure Committee and a defined plan and  time line by the vendor to comply. Faculty and staff can send requests for exceptions to Joni Roberts at joniroberts@parkland.edu. Now that this  technology standard has been approved, Campus Technologies will be upgrading all campus workstations to the new supported standards. Also, all workstations that do not support the new standards will be placed on the list of machines to be replaced.


Google Chrome is not supported at this time. Google has ended its support of Microsoft Silverlight which is a necessary plug-in for opening some items in WebAdvisor and Colleague such as W2's and 1098-T forms. 



Tech Service Desk: Contact and Hours

Room A184 * 217-353-3333 * techhelp@parkland.edu * 7:30 a.m. - 6:00 p.m. M-Th. / 7:30 a.m. - 5:00 p.m. Fridays

Satellite location * Parkland Library * 10:00 a.m. - 2:00 p.m. M-Th. / 10:00 a.m. - 12:00 p.m. Fridays




Keywords:browsers support IE Internet Explorer Firefox Mozilla Chrome Safari minimum requirements required W2 W2's W2s 1098 1098T 1098-T 1098-T's 1098 t   Doc ID:50488
Owner:Sara S.Group:Parkland College
Created:2015-04-15 14:19 CDTUpdated:2016-04-13 15:08 CDT
Sites:Parkland College
Feedback:  0   0